Moving a Line or Edge


#1

I am trying to move an edge of a solid after I have push pulled it into shape and added an extra line, however the Transform! method does not seem to work:

                    h_pt1 = [xvalue, @Hx1, @Hy1]
			h_pt2 = [xvalue, @Hx2, @Hy2]
			h_pt3 = [xvalue, @Hx3, @Hy3]
			h_pt4 = [xvalue, @Hx4, @Hy4]
			h_pt5 = [xvalue, @Hx5, @Hy5]
			h_pt6 = [xvalue, @Hx6, @Hy6]
			h_pt7 = [xvalue, @Hx7, @Hy7]


			group3 = @truss_component2.entities.add_group
			entities3 = group3.entities
			group3.description = "Hip Rafter"
			group3.name = "Hip Rafter"

			new_face3 = entities3.add_face h_pt1, h_pt2, h_pt3, h_pt4, h_pt5, h_pt6, h_pt7
			new_face3.pushpull plydepth
		
			midline = xvalue + @Ply*0.5

			lp1 = [midline, @Hx5, @Hy5]
			lp2 = [midline, @Hx6, @Hy6]

			linebottom = entities3.add_line lp1, lp2

			# Translates to vertex of fascia
			lb_trans = Geom::Transformation.new([0, -@Plyhalf, 0])
 			linebottom.transform! lb_trans

#2

The Edge class does not provide a #transform! method. You need to use Entities#transform_entities.


#3

The corrected code is:

# Translates to vertex of fascia
@Transbotz = @Plyhalf * tan(@Phihip)
l_trans1 = Geom::Transformation.new([0, -@Plyhalf, -@Transbotz])
entities3.transform_entities(l_trans1, linebottom)